aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SendRawEmail

Synopsis

- data SendRawEmail = SendRawEmail {
  - srmDestinations :: [EmailAddress]
  - srmRawMessage :: RawMessage
  - srmSource :: Maybe Sender
  }
- data SendRawEmailResponse = SendRawEmailResponse {
  - srmrMessageId :: Text
  }

# Documentation

data SendRawEmail #

Send a raw e-mail message.

Constructors

SendRawEmail |

Fields

- srmDestinations :: [EmailAddress]
- srmRawMessage :: RawMessage
- srmSource :: Maybe Sender

#### Instances

Instances details

SignQuery SendRawEmail # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ServiceConfiguration SendRawEmail |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ServiceConfiguration SendRawEmail = SesConfiguration

Methods

signQuery :: SendRawEmail -> ServiceConfiguration SendRawEmail queryType -> SignatureData -> SignedQuery #

Show SendRawEmail # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods showsPrec :: Int -> SendRawEmail -> ShowS # show :: SendRawEmail -> String # showList :: [SendRawEmail] -> ShowS #
Eq SendRawEmail # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods (==) :: SendRawEmail -> SendRawEmail -> Bool # (/=) :: SendRawEmail -> SendRawEmail -> Bool #
Ord SendRawEmail # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Methods

compare :: SendRawEmail -> SendRawEmail -> Ordering #

(<) :: SendRawEmail -> SendRawEmail -> Bool #

(<=) :: SendRawEmail -> SendRawEmail -> Bool #

(>) :: SendRawEmail -> SendRawEmail -> Bool #

(>=) :: SendRawEmail -> SendRawEmail -> Bool #

max :: SendRawEmail -> SendRawEmail -> SendRawEmail #

min :: SendRawEmail -> SendRawEmail -> SendRawEmail #

ResponseConsumer SendRawEmail SendRawEmailResponse # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ResponseMetadata SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata

Methods

responseConsumer :: Request -> SendRawEmail -> IORef (ResponseMetadata SendRawEmailResponse) -> HTTPResponseConsumer SendRawEmailResponse #

Transaction SendRawEmail SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail
type ServiceConfiguration SendRawEmail # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ServiceConfiguration SendRawEmail = SesConfiguration

data SendRawEmailResponse #

The response sent back by Amazon SES after a `SendRawEmail` command.

Constructors

SendRawEmailResponse |

Fields

- srmrMessageId :: Text

#### Instances

Instances details

AsMemoryResponse SendRawEmailResponse # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type MemoryResponse SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type MemoryResponse SendRawEmailResponse = SendRawEmailResponse

Methods

loadToMemory :: SendRawEmailResponse -> ResourceT IO (MemoryResponse SendRawEmailResponse) #

Show SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods showsPrec :: Int -> SendRawEmailResponse -> ShowS # show :: SendRawEmailResponse -> String # showList :: [SendRawEmailResponse] -> ShowS #
Eq SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods (==) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool # (/=) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool #
Ord SendRawEmailResponse # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Methods

compare :: SendRawEmailResponse -> SendRawEmailResponse -> Ordering #

(<) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool #

(<=) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool #

(>) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool #

(>=) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool #

max :: SendRawEmailResponse -> SendRawEmailResponse -> SendRawEmailResponse #

min :: SendRawEmailResponse -> SendRawEmailResponse -> SendRawEmailResponse #

ResponseConsumer SendRawEmail SendRawEmailResponse # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ResponseMetadata SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata

Methods

responseConsumer :: Request -> SendRawEmail -> IORef (ResponseMetadata SendRawEmailResponse) -> HTTPResponseConsumer SendRawEmailResponse #

Transaction SendRawEmail SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail
type MemoryResponse SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type MemoryResponse SendRawEmailResponse = SendRawEmailResponse
type ResponseMetadata SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata